Hallo, Gast! (Registrieren)

Letzte Ankündigung: MyBB 1.8.14 veröffentlicht (30.11.17)


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste
Fehler bei der Installationroutine
#1
Hallo!
Ich bekomme den Fehler
"The username you have entered appears to be invalid."
Wenn ich mich beim Upgrade zu 1.8. zur Upgraderoutine anmelden soll
http://www.fsg-forum.com/install/upgrade.php



Kennwort und Name  habe ich in 1Passwort hinterlegt und vermeide Schreibfehler durch Copy & Paste. In der Datenbank habe ich auch schon versucht das Kennwort zu ändern
für "reset123":   8e0107bf1c7fbeef6538dff7173aa458e7dd585e:8c37627a0e2c606189e7765

Leider erfolglos.


Cache gelöscht und natürlich auch einen anderen Browser versucht.
Ich komme noch ins Backend, wenn ich "lock" in /install platziere, und kann dann auch ein Passwort eingeben. Dann kommt diese Fehlermeldung ... die mich überfordert 
Zitat:MyBB has experienced an internal SQL error and cannot continue.

SQL Error:1054 - Unknown column 'threadnum' in 'field list'Query:UPDATE mybb_users SET `password`='040ca70beaf85988dd8f660719f98cec', `salt`='EVCOC3Q8', `loginkey`='p6hP1eHuraaDkJIZelaynIyNbxmBsfTRVMep32WHJLRNjb8XBN', `email`='JBasler@citykom.net', `postnum`=22, `threadnum`=0, `usergroup`=4, `additionalgroups`='', `displaygroup`=0, `usertitle`='', `signature`='', `website`='', `icq`=0, `aim`='', `yahoo`='', `skype`='', `google`='', `birthday`='9-8-1964', `style`=0, `timezone`=0, `dateformat`=0, `timeformat`=0, `language`='deutsch_du', `away`=0, `awaydate`=0, `returndate`=0, `awayreason`='', `usernotes`='', `allownotices`=1, `hideemail`=0, `subscriptionmethod`=0, `invisible`=0, `dstcorrection`=2, `threadmode`='linear', `classicpostbit`=0, `showimages`=0, `showvideos`=0, `showsigs`=1, `showavatars`=1, `showquickreply`=1, `receivepms`=1, `receivefrombuddy`=0, `pmnotice`=1, `daysprune`=0, `showcodebuttons`=1, `sourceeditor`=0, `pmnotify`=1, `showredirect`=1, `tpp`=0, `ppp`=0 WHERE uid='1'
Zitieren
#2
Die einfachste Weg den Login beim Upgrade zu umgehen, ist sich vor Beginn im Forum anzumelden.

Bist du sicher, dass du den Benutzernamen wirklich richtig eingegeben hast? Wenn der Benutzer schon nicht stimmt, kann das Passwort gar nicht erst überprüft werden.

Ich kann auch nur eindringlich davon Abraten das Passwort in der Datenbank zu ändern, das kann zu neuen Problemen führen, wenn man es falsch macht.

Wenn du die lock-Datei anlegst, kann das nicht klappen. Eine nicht aktualisierte Datenbank kann nicht mit MyBB 1.8 arbeiten und es kommt zu vielen Fehlern.
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
Zitieren
#3
(03.09.2014, 09:29)StefanT schrieb: Die einfachste Weg den Login beim Upgrade zu umgehen, ist sich vor Beginn im Forum anzumelden.

Bist du sicher, dass du den Benutzernamen wirklich richtig eingegeben hast? Wenn der Benutzer schon nicht stimmt, kann das Passwort gar nicht erst überprüft werden.

Ich kann auch nur eindringlich davon Abraten das Passwort in der Datenbank zu ändern, das kann zu neuen Problemen führen, wenn man es falsch macht.

Wenn du die lock-Datei anlegst, kann das nicht klappen. Eine nicht aktualisierte Datenbank kann nicht mit MyBB 1.8 arbeiten und es kommt zu vielen Fehlern.

Danke für die schnelle Antwort!
Ich habe mich genau an den Installationanweisungen entlang gehangelt.
Wie ich schon geschrieben habe, die Logindaten habe ich für MyBB1.6 in 1Passwort hinterlegt. Damit kann ich per Copy&Paste einsetzen, denn im Verschreiben bin ich gut. Laut Datenbank stimmt ja der Name sogar.

Die lock-Datei stört, das ist klar, aber ich hatte die wage Hoffnung übers Backend noch was zu erreichen.
Das mag dir alles Tölpelhaft erscheinen ... ich hätte mir das auch gern erspart ... aber auch das Backup bei Hetzner zickt. Das hat z.B. bei meinem beiden anderen Websites immer gut funktioniert ...irgendwann ist man halt mal dran ins Klo zu greifen.
Ich wollte eigentlich nur die neue Version aufspielen und mir nicht die Nacht um die Ohren schlagen, das kannst Du mir glauben.

So jetzt bin ich belehrt, was kann ich jetzt am Sinnvollsten tun. Wie kann ich die Datenbanken aktualisieren. Ich habe mich heut Nacht schon nach der Funktion müde gesucht ... im wahrsten Sinne des Wortes. Bei Contao gibt es so eine Funktion im Backend und im Installationstool. Wo finde ich das bei myBB, oder wie mach ich das manuell. 
Zitieren
#4
Naja, die Fehlermeldung ist ziemlich eindeutig. Hast du beim Kopieren vielleicht vor oder nach dem Benutzernamen ein Leerzeichen o.ä. eingefügt? Du kannst stattdessen auch einmal die E-Mail-Adresse probieren (ob die angenommen wird, weiß ich allerdings nicht sicher).
(03.09.2014, 09:52)eisenherz schrieb: [quote='StefanT' pid='203255' dateline='1409732957']Wie kann ich die Datenbanken aktualisieren. Ich habe mich heut Nacht schon nach der Funktion müde gesucht ... im wahrsten Sinne des Wortes. Bei Contao gibt es so eine Funktion im Backend und im Installationstool. Wo finde ich das bei myBB, oder wie mach ich das manuell. 
Das geht nur mit Upgradescript...
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
Zitieren
#5
(03.09.2014, 10:07)StefanT schrieb: Naja, die Fehlermeldung ist ziemlich eindeutig. Hast du beim Kopieren vielleicht vor oder nach dem Benutzernamen ein Leerzeichen o.ä. eingefügt? Du kannst stattdessen auch einmal die E-Mail-Adresse probieren (ob die angenommen wird, weiß ich allerdings nicht sicher).

(03.09.2014, 09:52)eisenherz schrieb:
(03.09.2014, 09:29)StefanT schrieb: Wie kann ich die Datenbanken aktualisieren. Ich habe mich heut Nacht schon nach der Funktion müde gesucht ... im wahrsten Sinne des Wortes. Bei Contao gibt es so eine Funktion im Backend und im Installationstool. Wo finde ich das bei myBB, oder wie mach ich das manuell. 
Das geht nur mit Upgradescript...
... und genau da komme ich nicht dran.
emailadresse im Login funktioniert leider auch nicht. Tippfehler , auch versehentlich Leerzeichen, sind bei 1Passwort ausgeschlossen, weil man über einen "Kopieren" -Button kopiert
 Ich habe auch schon probiert einfach neu zu installieren ... nur wie krieg ich dann die alten Daten in die neue Datenbank? Mit SQL Export entsprechenden Leiten für z.B. "posts" aus der alten DB und Import in die neue DB hat es nicht funktioniert. 
Zitieren
#6
(03.09.2014, 10:22)eisenherz schrieb:  Ich habe auch schon probiert einfach neu zu installieren ... nur wie krieg ich dann die alten Daten in die neue Datenbank? Mit SQL Export entsprechenden Leiten für z.B. "posts" aus der alten DB und Import in die neue DB hat es nicht funktioniert. 
Das ist nicht möglich, da es Änderungen an den Beitragstabellen gab.

Du kannst den Login im Upgrade-Skript auch deaktivieren, wenn es gar nicht anders geht. Entferne dafür diesen Code aus der install/upgrade.php:
PHP-Code:
    if($mybb->user['uid'] == 0)
    {
        
$output->print_header($lang->please_login"errormsg"01);

        
$output->print_contents('<p>'.$lang->login_desc.'</p>
<form action="upgrade.php" method="post">
    <div class="border_wrapper">
        <table class="general" cellspacing="0">
        <thead>
            <tr>
                <th colspan="2" class="first last">'
.$lang->login.'</th>
            </tr>
        </thead>
        <tbody>
            <tr class="first">
                <td class="first">'
.$lang->login_username.':</td>
                <td class="last alt_col"><input type="text" class="textbox" name="username" size="25" maxlength="'
.$mybb->settings['maxnamelength'].'" style="width: 200px;" /></td>
            </tr>
            <tr class="alt_row last">
                <td class="first">'
.$lang->login_password.':<br /><small>'.$lang->login_password_desc.'</small></td>
                <td class="last alt_col"><input type="password" class="textbox" name="password" size="25" style="width: 200px;" /></td>
            </tr>
        </tbody>
        </table>
    </div>
    <div id="next_button">
        <input type="submit" class="submit_button" name="submit" value="'
.$lang->login.'" />
        <input type="hidden" name="action" value="do_login" />
    </div>
</form>'
);
        
$output->print_footer("");

        exit;
    }
    else if(
$mybb->usergroup['cancp'] != && $mybb->usergroup['cancp'] != 'yes')
    {
        
$output->print_error($lang->sprintf($lang->no_permision$mybb->user['logoutkey']));
    } 
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
Zitieren
#7
Ich habe jetzt erstmal ein Downgrade durchgeführt, damit mein Forum wieder nutzbar ist.
Wenn ich per ftp mit forklift den Inhalt des Uploadordener von 1.8 in meinen forumsirdner packe, wird mir nur eine Neuinstallation angeboten, aber kein Upgrade. Ich will aber nicht meine Datenbank überschreiben ...

Wie komme ich jetzt zu 1.8?
Zitieren
#8
1) Alle Plugins deaktivieren
2) Datensicherung (Upload Ordner, inc/settings.php, inc/config.php, Datenbank)
3) Alle Dateien aus 1.8 hochladen
4) inc/settings.php von 1.8 durch die alte ersetzen
5) inc/config.php einfügen
6) /install/upgrade.php aufrufen, upgrade durchführen
7) Templates ggf. zurücksetzen
Durchschnittliche Nährwerte dises Posts:
Brennwert: 2192kJ/526kcal | Eiweiß: 5,1g | Kohlenhydrate: 50,9g - davon Zucker 47,2g | Fett: 33,5g - davon gesättigte Fettsäuren: 18,6g | Ballaststoffe: 6,8g | Enthält eine Phenylalaninquelle | Enhält Spuren von Nüssen und Spam.
Zitieren
#9
(04.09.2014, 01:19)Nik101010 schrieb: 1) Alle Plugins deaktivieren
2) Datensicherung (Upload Ordner, inc/settings.php, inc/config.php, Datenbank)
3) Alle Dateien aus 1.8 hochladen
4) inc/settings.php von 1.8 durch die alte ersetzen
5) inc/config.php einfügen
6) /install/upgrade.php aufrufen, upgrade durchführen
7) Templates ggf. zurücksetzen

Vielen, vielen Dank!
Das war ja im Grunde ganz einfach.
Ich bin zwar beim 1. Versuch nochmal hängengeblieben, weil ich "automatische Synchronisation" in Forklift gewählt hatte. Nachdem ich das Backup aufgespielt habe und das Datei einfügen der 1.8er manuell erledigt habe,und dann die Tipps umgesetzt habe, funktioniert mein Forum unter 1.8. .Super!
Ich habe mich ja an die Anleitungen gehalten, aber Deine Tips hab ich dort nicht gesehen. Hätte ich das auch selber finden können ... hab ich den Wald vor lauter Bäumen nicht gesehen ... oder waren das speziell auf meine Probleme gemünzte Tipps?

Eine Frage am Rande, wie kann ich mir unter 1.8 die Maschinenforumsteilnehmer vom Hals halten. In 1.6. habe ich dies hier genutzt  http://mods.mybb.com/view/registration-s...y-question
Zitieren
#10
MyBB 1.8 bietet die Möglichkeit Sicherheitsfragen zu erstellen. Wink
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
Zitieren


Möglicherweise verwandte Themen...
Thema Verfasser Antworten Ansichten Letzter Beitrag
  [geteilt] Fehler bei der Installationroutine cwolf 18 1.356 27.11.2014, 19:37
Letzter Beitrag: StefanT